// file: $isip_ifc/class/asr/SpeakerVerifier/sv_00.cc
// version: $Id: sv_00.cc
//

// isip include files
//
#include <SpeakerVerifier.h>

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
SpeakerVerifier::SpeakerVerifier() {

  // initialize algorithm
  //
  algorithm_d = DEF_ALGORITHM;
}

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
SpeakerVerifier::~SpeakerVerifier() {
  
  // exit gracefully
  //
}

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//      
//-----------------------------------------------------------------------------

// constants: required constants such as class name
//
const String SpeakerVerifier::CLASS_NAME(L"SpeakerVerifier");

// constants: i/o related constants
//
const String SpeakerVerifier::DEF_HMM_ALGO(L"hmm");
const String SpeakerVerifier::DEF_SVM_ALGO(L"svm");
const String SpeakerVerifier::DEF_RVM_ALGO(L"rvm");

// static instantiations: memory manager, debug level and verbosity
//
MemoryManager SpeakerVerifier::mgr_d(sizeof(SpeakerVerifier),
                                       SpeakerVerifier::CLASS_NAME);

Integral::DEBUG SpeakerVerifier::debug_level_d = Integral::NONE;
Integral::DEBUG SpeakerVerifier::verbosity_d = Integral::NONE;
