// file: $isip/class/mmedia/Splitter/splt_00.cc
// version: $Id: splt_00.cc 10590 2006-07-19 20:19:16Z sl346 $
//

// isip include files
//
#include "Splitter.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor for the Splitter class.
//
Splitter::Splitter() {

  // initialize member data
  //
  split_mode_d = DEF_SPLIT_MODE;
}

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String Splitter::CLASS_NAME(L"Splitter");

// constants: NameMap(s) for the enumerated values
//
const NameMap Splitter::SPLIT_MAP(L"NONE, SPEED, MEMORY");

// constants: i/o related constants
//
const String Splitter::DEF_PARAM(L"");
const String Splitter::PARAM_SPLIT_MODE(L"split_mode");

// constants: cluster name
//
const String Splitter::PARAM_CLUSTER_EMPIRE(L"empire");
const String Splitter::PARAM_CLUSTER_MAVERICK(L"maverick");
const String Splitter::PARAM_CLUSTER_TALUS(L"talus");

// static instantiations: debug level
//
Integral::DEBUG Splitter::debug_level_d = Integral::NONE;

// static instantiations: the memory manager
//
MemoryManager Splitter::mgr_d(sizeof(Splitter));




