// file: $isip/class/pr/LanguageModelABNF/lmabnf_00.cc
// version: $Id: lmabnf_00.cc 10495 2006-03-15 21:37:57Z may $

// ISIP include files
//
#include "LanguageModelABNF.h"
#include "LanguageModelBase.h"

// constant: class name
//
const String LanguageModelABNF::CLASS_NAME(L"LanguageModelABNF");

// constants: file parameters
//
const String LanguageModelABNF::DEF_PARAM(String::EMPTY);
const int32 LanguageModelABNF::DEF_LEVEL = -1;
const String LanguageModelABNF::PARAM_ABNF(L"rm_d");
const int32 LanguageModelABNF::DEF_TAG = 0;

// the default weight to be applied to all arcs
//
const float32 LanguageModelABNF::DEF_WEIGHT = 1.0;

// method: default constructor
//
// arguments: none
//
// return: none
//
LanguageModelABNF::LanguageModelABNF() {
  
  // set the debug level
  //
  debug_level_d = Integral::NONE;
}
