// file: $isip/class/pr/LanguageModelBNF/lmbnf_06.cc
//

// system include files
//
#include <typeinfo>

// isip include files
//
#include "LanguageModelBNF.h"

// method: eq
//
// arguments:
//  const LanguageModelBase& arg: (input) object to test
//
// return: a bool8 value indicating equality
//
// this method is part of the LanguageModelBase interface contract
// which compares two virtual model types
//
bool8 LanguageModelBNF::eq(const LanguageModelBase& arg_a) const {

  if (typeid(arg_a) == typeid(LanguageModelBNF)) {
    return eq((LanguageModelBNF&)arg_a);
  }
  else {
    return Error::handle(name(), L"eq", Error::ARG, __FILE__, __LINE__);
  }
}
