# !/bin/sh

# file: $HOME/login/Make.sh
# version: $Id: Make.sh 9614 2004-07-03 18:24:30Z picone $
#
# this file makes the minimum number of links in a user's home directory
# to run the environment. note that the links are made in a file system
# independent manner (they are made relative to the home directory).
#

# make links for the shell
#
rm ../.bash_profile ./shell_bash_profile.sh ../.bashrc 

ln -s /cavs/hse/data1/isip/tools/ifc/login/shell_bash_profile.sh ./shell_bash_profile.sh
ln -s ./login/shell_bash_profile.sh ../.bash_profile
ln -s ./login/shell_bashrc.sh ../.bashrc

# make links for finger (not really necessary, but nice to have)
#
rm ../.plan ../.project

ln -s ./login/finger_plan.text ../.plan
ln -s ./login/finger_project.text ../.project

# make links for the window system and window manager
#
rm ../.Xclients

ln -s ./login/x11_xclients.sh ../.Xclients

#
# end of file

