;; file: $ISIP_IFC/login/editor_emacs_bindings.el
;; version: $Id: editor_emacs_bindings.el 9614 2004-07-03 18:24:30Z picone $
;;
;; this file defines a few custom key bindings
;;

;; custom key bindings: define "ctrl-x char" keys
;;
(define-key global-map "\C-xc" 'compile)
(define-key global-map "\C-xe" 'next-error)
(define-key global-map "\C-xg" 'what-line)
(define-key global-map "\C-xm" 'mail)
(define-key global-map "\C-xr" 'rmail)
(define-key global-map "\C-xs" 'spell-buffer-into-buffer)

;; clipboard copy bindings
;;
(define-key global-map "\C-xw" 'copy-region-to-clipboard)
(define-key global-map "\C-xW" 'copy-buffer-to-clipboard)

;; function key bindings
;;
(define-key global-map [f3] 'grep)
(define-key global-map [f4] 'next-error)
(define-key global-map [C-f7] 'compile)
(define-key global-map [f7] 'compile-now)

(define-key global-map [f5] 'insert-register-5)
(define-key global-map [C-f5] 'copy-to-register-5)
(define-key global-map [f6] 'insert-register-6)
(define-key global-map [C-f6] 'copy-to-register-6)

;; custom key bindings: define "ctrl-x ctrl-char" keys
;;
(define-key global-map "\C-x\C-e" 'call-last-kbd-macro)
(define-key global-map "\C-x\C-y" 'browse-url-at-point)

;; custom key bindings: define "esc char" keys
;;
(define-key global-map "\M-?" 'man)

;;
;; end of file
