#!/bin/csh -f
#file: $isip/util/demo/isip_comm_server_process_manager/scripts/speaker_verification.csh
#version: $Id: speaker_verification.csh 10042 2005-05-06 20:48:57Z elliott $
#

#source $GC_HOME/contrib/MITRE/templates/env.csh

isip_comm_data_recorder -port DATA_RECORDER_PORT > $ISIP_TMPDIR/isip_recorder_log.txt &

isip_comm_signal_detector -port SIGNAL_DETECTOR_PORT -param $ISIP_DEVEL/util/demo/isip_demo_data/speech_analysis/params/detector_param.sof > $ISIP_TMPDIR/isip_detector_log.txt &

isip_comm_speaker_verification -frontend $ISIP_DEVEL/util/demo/isip_demo_data/speech_recognition/params/recipe_mfcc.sof -imposter_param $ISIP_DEVEL/util/demo/isip_demo_data/speaker_verification/models/imposter/decode/imposter_params.text -speaker_param $ISIP_DEVEL/util/demo/isip_demo_data/speaker_verification/models/speaker/decode/speaker_params.text -port SPEAKER_VERIFICATION_PORT > $ISIP_TMPDIR/isip_verifier_log.txt &

sleep 1;

$GC_HOME/bin/hub -pgm_file START_SERVERS_PGM -verbosity 3 > $ISIP_TMPDIR/isip_hub_log.txt &
