REM Place this file in the directory below all the following directories.
REM The ordering of the compiles is safe and will create a live_demo.jar
REM file in the current directory

REM ./AudioCircularBuffer/
REM ./AudioInterface/
REM ./AudioSignal/
REM ./ConfigPanel/
REM ./ConnectionManager/
REM ./DemoProtocol/
REM ./SpeechDisplay/
REM ./TextDisplay/

REM ./isip_comm_client_base/
REM ./isip_comm_client_dialog_navigation/
REM ./isip_comm_client_speaker_verification/
REM ./isip_comm_client_speech_analysis/
REM ./isip_comm_client_speech_recognition/

REM ./isip_demo_selector/

set GALAXY_HOME=C:\GalaxyCommunicator-4.0
set JAVA_HOME=C:\j2sdk1.4.2_04
set MITRE_ROOT=%GALAXY_HOME%\contrib\MITRE
set JDAS_ROOT=%MITRE_ROOT%\servers\src\jdas

set CLASSPATH=%MITRE_ROOT%\bindings\java\lib\galaxy.jar;..\live_demo.jar;.

cd AudioSignal

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA   
%JAVA_HOME%\bin\jar cf ..\live_demo.jar *.class  


cd ..
cd TextDisplay

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA   
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class  


cd ..
cd ConfigPanel

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA   
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class  


cd ..
cd AudioCircularBuffer

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA   
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class  


cd ..
cd AudioInterface

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA   
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class  


cd ..
cd DemoProtocol

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class


cd ..
cd SpeechDisplay

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class


cd ..
cd ConnectionManager

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class


cd ..
cd isip_comm_client_base

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class


cd ..
cd isip_comm_client_dialog_navigation

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class


cd ..
cd isip_comm_client_speech_recognition

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class


cd ..
cd isip_comm_client_speaker_verification

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class


cd ..
cd isip_comm_client_speech_analysis

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class


cd ..
cd isip_demo_selector

del *.class
del *.java~

%JAVA_HOME%\bin\javac -classpath %CLASSPATH% *.JAVA  
%JAVA_HOME%\bin\jar uf ..\live_demo.jar *.class 

pause
