#!/bin/sh

# file: $isip/util/devel/varmint/install.sh
#

# first cleanup
#
rm -f *.class *.jar 

# now compile the java code
#
javac *.java

# merge into a single jar file
#
jar -cf varmint.jar *.class

# copy the jar file into its final location
#
cp varmint.jar $isip/lib/java/varmint.jar

echo "installation complete"

# 
# end of file
