void loadData(String fileName,long &start_tag,VectorFloat *data,long &buffer_size,long MAX_BUFF,String type);
void computeMeanCov(VectorFloat *data,long data_size,long &total,VectorFloat &mean,MatrixFloat &cov);
void Convert2Diagonal(MatrixFloat &mat);
void trainModel_step0(MixtureModel &model,VectorFloat *data,long data_size,VectorDouble &params);
void trainModel_step1(MixtureModel &model,VectorFloat *data,long data_size,double &L);
void computeLikelihood(MixtureModel &model,VectorFloat *data,long data_size,VectorDouble &L);
void decode(VectorDouble L1,VectorDouble L2,VectorFloat &result);
void errorCompute(VectorFloat result,VectorFloat *ref,Double &error);
void sendMessage(String msg,DebugLevel verbose,long level);
void loadInit(string fileName,VectorFloat &mean1_m1,VectorFloat &mean2_m1,MatrixFloat &cov1_m1,MatrixFloat &cov2_m1,VectorFloat &mean1_m2,VectorFloat &mean2_m2,MatrixFloat &cov1_m2,MatrixFloat &cov2_m2);
void loadInputList(string fileName,String &train_file_1,String &train_file_2,String &test_file_data,String &test_file_class);

