// file: $isip/util/asr/isip_make_sof.h
//

// make sure the file is included only once
//
#ifndef ISIP_UTIL_MAKE_SOF
#define ISIP_UTIL_MAKE_SOF

// isip include files
//
#include <FrontEnd.h>
#include <AudioFrontEnd.h>
#include <AudioFile.h>
#include <FeatureFile.h>
#include <CommandLine.h>

// constants: define the program name
//
static const String PROG_NAME(L"isip_make_sof");

// constants: define the location of the front-end parameter file
//
static const Filename FE_PARAM_FILE(L"$ISIP_DEVEL/lib/text/isip_make_sof/isip_make_sof_params.sof");

// end of file
//
#endif
