// file: Association.java
//

// import java libraries
//
import java.awt.*;
import java.awt.event.*;

/**
 * class handles association between objects
 */
public class Association {

    // ---------------------------------------------------
    //
    // declare class member data
    //
    // ---------------------------------------------------
    
    /**
     * process algorithm association string
     */
    private String association = null;

    // ---------------------------------------------------
    //
    // declare class constructors
    //
    // ---------------------------------------------------

    /*
     * default class constructor
     */
    public Association() {
	
	// set the default association to none
	//
	association = new String();
    }

    // ---------------------------------------------------
    //
    // declare class methods
    //
    // ---------------------------------------------------

    // method: getAssociation
    /**
     * gets the association of the algorithm vertex
     * @return    association of the algorithm vertex
     */
    public String getAssociation() {

	// return the algorithm vertex association
	//
	return association;
    }

    // method: setAssociation
    //
    /** 
     * set the association of the algorithm vertex
     * @param association association of the algorithm vertex
     */
    public void setAssociation(String association) {

	// set the algorithm vertex association
	//
	this.association = association;
    }
}

//
// end of file

