// file: inst_cstr_2.cc
//

// isip include files
//
#include "instance.h"
#include "instance_constants.h"

// method: constructor
//
// arguments:
//  Instance& instance : (input) the instance to be copied
//
// return: none
//
// this is a copy constructor
//
Instance::Instance(Instance& instance_a) {

  // copy the parameters
  //
  lex_node_d = instance_a.lex_node_d;
  phone_index_d = instance_a.phone_index_d;  
  token_list_d = instance_a.token_list_d;
  max_score_d = instance_a.max_score_d;
  lm_score_d = instance_a.lm_score_d;
  frame_d = instance_a.frame_d;

  // exit gracefully
  //
}
