// file: latn_set_5.cc
//

// isip include files
//
#include "lattice_node.h"
#include "lattice_node_constants.h"

// method: set_num_arcs_out_cc
//
// arguments:
//  int_4 num_arcs_out_a: (input) number of outgoing arcs
//
// return: a logical_1 indicating status
//
// this method sets the number of outgoing arcs
//
logical_1 Lattice_node::set_num_arcs_out_cc(int_4 num_arcs_out_a) {

  // set the number of incoming arcs into the node
  //
  num_arcs_out_d = num_arcs_out_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
