// file: lxn_size_0.cc
//

// isip include files
//
#include "lex_node.h"
#include "lex_node_constants.h"

// method: size_cc
//
// arguments: none
//
// return: an int_4 with number of bytes used by this object
//
// this method counts the size of the current object in bytes
//
int_4 Lex_node::size_cc() {

  // set the size variable
  //
  int_4 size = 0;
  
  // add the size of each constituent data
  //
  size += sizeof(int_4);                    // phone_d
  size += sizeof(float_4);                  // score_d
  size += sizeof(logical_1);                // word_end_d
  size += sizeof(Link_list*);               // child_d
  size += sizeof(Link_list*);               // words_d
  size += sizeof(logical_1);                // type_d

  // exit gracefully
  //
  return size;
}
