// file: lxt_cstr_0.cc
//

// isip include files
//
#include "lex_tree.h"
#include "lex_tree_constants.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Lex_tree::~Lex_tree() {

  // memory manager
  //
  Memory_manager* manager = Link_list::get_manager_cc();
  
  // return the lexical tree nodes to the memory manager
  //
  if (head_d != (Lex_node*)NULL) {
    head_d->clear_cc();
    manager->delete_cc(head_d);
  }
  
  // reset the members of this class
  //
  head_d = (Lex_node*)NULL;
  history_d = (void_p)NULL;
  status_d = ISIP_FALSE;
  
  // exit gracefully
  //
}
