// file: mod_cstr_3.cc
//

// isip include files
//
#include "model.h"
#include "model_constants.h"

// method: constructor
//
// arguments:
//  Model& model : (input) model to copy from
//
// return: none
//
// this is a copy constructor
//
Model::Model(Model& model_a) {
  
  // set the number of states
  //
  num_states_d = model_a.num_states_d;
  
  // set the transition probabilities
  //
  trans_prob_d = model_a.trans_prob_d;

  // set the states
  //
  states_d = new State*[num_states_d];
  for (int_4 i = 0; i < num_states_d; i++) {
    states_d[i] = model_a.states_d[i];
  }

  // exit gracefully
  //
}
