// file: nnode_clear_0.cc
//

// isip include files
//
#include "nbest_node.h"
#include "nbest_node_constants.h"

// method: clear_cc
//
// arguments: none
//
// return:  a boolean indicating status
//
// this method resets the contents of the nbest node
//
logical_1 Nbest_node::clear_cc() {

  // reset node members
  //
  lnode_d = (Lattice_node*)NULL;
  prev_node_d = (Nbest_node*)NULL;
  path_score_d = (float_8)NBEST_DEFAULT_SCORE;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
