// file: nnode_cstr_3.cc
//

// isip include files
//
#include "nbest_node.h"
#include "nbest_node_constants.h"

// method: overloaded constructor
//
// arguments:
//   Lattice_node* lnode: (input) lattice node that terminates this
//                                partial path
//   Nbest_node* prev_node: (input) previous nbest node in the path
//   float_8 score : (input) path score for this partial path
//
// return: none
//
// this is an overloaded constructor
//
Nbest_node::Nbest_node(Lattice_node* lnode_a, Nbest_node* prev_node_a,
		       float_8 path_score_a) {

  // copy node members
  //
  lnode_d = lnode_a;
  prev_node_d = prev_node_a;
  path_score_d = path_score_a;
  
  // exit gracefully
  //
}

