// file: ngrm_cstr_1.cc
//

// isip include files
//
#include "ngram.h"
#include "ngram_constants.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
Ngram::Ngram() {
  
  // set node statistics
  //
  lmscale_d = NGRAM_LMSCALE;
  wdpenalty_d = NGRAM_WDPENALTY;
  ngram_order_d = NGRAM_DEFAULT_ORDER;
  
  // set ngram list pointers
  //
  ngram_lists_d  = (Ngram_list**)NULL;
  
  // exit gracefully
  //
}
