// file: ngrn_clear_0.cc
//

// isip include files
//
#include "ngram_node.h"
#include "ngram_node_constants.h"

// method: clear_cc
//
// arguments: none
//
// return:  a logical_1 flag to indicate status
//
// this method clears the contents of the class
//
logical_1 Ngram_node::clear_cc() {
  
  // reset ngram node data
  //
  word_d = (Word*)NULL;
  next_node_d = (Ngram_node**)NULL;
  lmscore_d = NGRAM_NODE_DEFAULT_SCORE;
  backoff_d = NGRAM_NODE_DEFAULT_SCORE;
  num_next_nodes_d = 0;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
