// file: plist_debug_0.cc
//

// isip include files
//
#include "path_list.h"
#include "path_list_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Path_list::debug_cc(FILE *fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s paths_d = %p\n", PATH_LIST_CLASS_NAME, message_a,
	  paths_d);    
  fprintf(fp_a, "%s::%s frame_index_d = %ld\n", PATH_LIST_CLASS_NAME,
	  message_a, frame_index_d);
  fprintf(fp_a, "%s::%s num_paths_d = %ld\n", PATH_LIST_CLASS_NAME,
	  message_a, num_paths_d);
  fprintf(fp_a, "%s::%s max_score_d = %f\n", PATH_LIST_CLASS_NAME,
	  message_a, max_score_d);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
