// file: sig_cstr_1.cc
//

// isip include files
//
#include "Signal.h"
#include "signal_constants.h"

// method: default constructor
//
// arguments: none
//
// return: none
//
Signal::Signal() {

  // initialize the protected data
  //
  fname_d = (char_1*)NULL;
  fp_d = (FILE*)NULL;
  num_chans_d = SIGNAL_DEFAULT_NUM_CHANS;
  num_bytes_d = SIGNAL_DEFAULT_NUM_BYTES;
  sf_d = SIGNAL_DEFAULT_SF;
  swap_byte_flag_d = SIGNAL_DEFAULT_SWAP_BYTES;
  end_file_time_d = (float_8)0.0;
  file_size_d = (int_4)0;
  
  // debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;

  // return
  //
}










