// file: tr_cstr_0.cc
//

// isip include files
//
#include "trace.h"
#include "trace_constants.h"

// method: destructor
//
// arguments: none
//
// return: none
//
// this is the default destructor
//
Trace::~Trace() {

  // remove the path history information
  //
  if (history_d != (History*)NULL) {
    delete history_d;
    history_d = (History*)NULL;
  }
  max_hist_d = (int_4)0;

  // remove the network information
  //
  instance_d = (Instance*)NULL;
  lex_next_d = (Lex_node*)NULL;
  
  // reset the parameters
  //
  level_d = TRACE_DEFAULT_INDEX;
  state_index_d = TRACE_DEFAULT_INDEX;
  phone_index_d = TRACE_DEFAULT_INDEX;
  score_d = TRACE_DEFAULT_SCORE;

  // exit gracefully
  //
}
