// file: tr_cstr_3.cc
//

// isip include files
//
#include "trace.h"
#include "trace_constants.h"

// method: constructor
//
// arguments:
//  Trace& trace : (input) the trace to be copied
//
// return: none
//
// this is a copy constructor
//
Trace::Trace(Trace& trace_a) {

  // copy the parameters
  //
  lex_next_d = trace_a.lex_next_d;

  level_d = trace_a.level_d;
  state_index_d = trace_a.state_index_d;  
  phone_index_d = trace_a.phone_index_d;  

  max_hist_d = trace_a.max_hist_d;
  history_d = trace_a.history_d;
  instance_d = trace_a.instance_d;
  
  score_d = trace_a.score_d;

  // exit gracefully
  //
}
