// file: trace_constants.h
//

// make sure definitions are only made once
//
#ifndef __TRACE_CONSTANTS
#define __TRACE_CONSTANTS

// isip include files
//
#ifndef __INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_LEX_NODE_CONSTANTS
#include <lex_node_constants.h>
#endif

#ifndef __ISIP_HISTORY_CONSTANTS
#include <history_constants.h>
#endif

#ifndef __ISIP_INSTANCE_CONSTANTS
#include <instance_constants.h>
#endif

// define the class name
//
#define TRACE_CLASS_NAME (char_1*)"Trace"

// define constants for the default levels and indices
//
#define TRACE_DEFAULT_INDEX (int_4)-1
#define TRACE_DEFAULT_SCORE (float_4)0

#define TRACE_STATE_LEVEL HISTORY_STATE_LEVEL
#define TRACE_MODEL_LEVEL HISTORY_MODEL_LEVEL
#define TRACE_WORD_LEVEL HISTORY_WORD_LEVEL
#define TRACE_NUM_LEVELS HISTORY_NUM_LEVELS

// end of file
// 
#endif
