// file: tr_latn_lex_0.cc
//

// isip include files
//
#include "train_lattice_node.h"
#include "train_lattice_node_constants.h"

#include <train_lex_tree.h>
#include <train_lex_tree_constants.h>

// method: set_lex_tree_cc
//
// arguments:
//  Train_Lex_tree* lex_tree_a: (input) the lex_tree of node
//
// return: a logical_1 indicating status
//
// this method sets the lex_tree of the node
//
logical_1 Train_Lattice_node::set_lex_tree_cc(Train_Lex_tree* lex_tree_a) {
  
  // set the node lex_tree
  //
  lex_tree_d = lex_tree_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
