// file: tr_lxn_node_3.cc
//

// isip include files
//
#include "train_lex_node.h"
#include "train_lex_node_constants.h"

// method: add_child_cc
//
// arguments:
//  Train_Lex_node* node : (input) the lexical node to be added as child
//
// return: a logical_1 flag indicating success
//
// this method inserts the given lexical node into the list of child
// nodes
//
logical_1 Train_Lex_node::add_child_cc(Train_Lex_node* node_a) {

  // make sure the link list of children exists
  //
  if (child_d == (Train_Link_list*)NULL) {
    child_d = new Train_Link_list();
  }

  // add the input node to this list
  //
  child_d->insert_cc(node_a);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
