// file: tr_ll_prev_1.cc
//

// isip include files
//
#include "train_link_list.h"
#include "train_link_list_constants.h"

// method: get_prev_cc
//
// arguments:
//  Train_Link_node* node : (input) the reference node
//
// return: a Train_Link_node* pointer to prev node of the given node
//
// this method gets the prev node for the specified node of the linked
// list
//
Train_Link_node* Train_Link_list::get_prev_cc(Train_Link_node* node_a) {

  // get the prev node and return
  //
  return node_a->get_prev_cc();
}
