// file: train_model_constants.h
//

// make sure definitions are only made once
//
#ifndef __ISIP_TRAIN_MODEL_CONSTANTS
#define __ISIP_TRAIN_MODEL_CONSTANTS

// isip include files
//
#ifndef __INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_TRAIN_STATE_CONSTANTS
#include <train_state_constants.h>
#endif

// define the class name
//
#define TRAIN_MODEL_CLASS_NAME (char_1*)"Train_Model"

// define constants for the default levels and indices
//
#define TRAIN_MODEL_DEFAULT_NUM_STATES (int_4)0;

// define the score for non-existant state transitions
//
#define TRAIN_MODEL_NOTRANS_SCORE TRAIN_STATE_SCORE

// end of file
// 
#endif

