// file: $ISIP_IFC/class/java/ConnectionManager/DemoEventProcessable.java
// version: $Id: DemoEventProcessable.java 10231 2005-09-13 14:29:38Z stanley $

// import necessary java libraries
//
import java.awt.*;

/**
 * The <code> DemoEventProcessable </code> interface should be
 * implemented by any class whose instances are intended to handle
 * <code> AWTEvents </code> for ISIP clients.
 */
public interface DemoEventProcessable {

    /**
     * Handle an AWT event.
     *
     * @param event_a the event to handle.
     *
     * @return a boolean value indicating status.
     */
    public boolean handleEvent(AWTEvent event_a);
}
