// file: $isip/class/asr/Anchor/ancr_01.cc
//

// isip include files
//
#include "Anchor.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* message: (input) information message
//
// return: a bool8 value indicating status
//
// this method dumps the contents of an object to the console
//
bool8 Anchor::debug(const unichar* msg_a) const {
  
  // build a debug string
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // output sigmoid parameters
  //
  id_d.debug(L"id_d");
  unit_d.debug(L"unit_d");
  offset_d.debug(L"offset_d");
  anchored_d.debug(L"anchored_d");

  // decrease indention
  //
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}
