// file: $isip/class/pr/LanguageModelIHD/lmihd_06.cc
//

// system include files
//
#include <typeinfo>

// isip include files
//
#include "LanguageModelIHD.h"

// method: eq
//
// arguments:
//  const LanguageModelBase& arg: (input) object to test
//
// return: a bool8 value indicating equality
//
// this method is part of the LanguageModelBase interface contract
// which compares two virtual model types
//
bool8 LanguageModelIHD::eq(const LanguageModelBase& arg_a) const {

  if (typeid(arg_a) == typeid(LanguageModelIHD)) {
    return eq((LanguageModelIHD&)arg_a);
  }
  else {
    return Error::handle(name(), L"eq", Error::ARG, __FILE__, __LINE__);
  }
}
