// file: $isip/class/pr/NeuralNetwork/nnet_00.cc
//

// isip include files
//
#include "NeuralNetwork.h"

// method: NeuralNetwork
//
// arguments: none
//
// return: none
//
NeuralNetwork::NeuralNetwork() {

  // initialize the member data
  //
  bias_d = DEF_BIAS;
  eta_d = DEF_ETA;
  momentum_d = DEF_MOMENTUM;
  epochs_d = DEF_EPOCHS;
}

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String NeuralNetwork::CLASS_NAME(L"NeuralNetwork");

// constants: i/o related constants
//
const String NeuralNetwork::DEF_PARAM(L"");
const String NeuralNetwork::DEF_COMMENT_TAG(L"#");

// static instantiations: memory manager and a permanent scratch space
//
MemoryManager NeuralNetwork::mgr_d(sizeof(NeuralNetwork), NeuralNetwork::CLASS_NAME);
Integral::DEBUG NeuralNetwork::debug_level_d = Integral::NONE;



