// file: $isip/class/stat/StatisticalModel/sm_00.cc
// version: $Id: sm_00.cc 9378 2003-12-23 20:56:11Z alphonso $
//

// there is no source code in this file
//

// isip include files
//
#include "StatisticalModel.h"

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String StatisticalModel::CLASS_NAME(L"StatisticalModel");

// constants: i/o related constants
//
const String StatisticalModel::DEF_PARAM(L"");
const String StatisticalModel::PARAM_TYPE(L"name");

// static instantiations: name maps, dummy objects, etc.
//
const NameMap StatisticalModel::TYPE_MAP(L"Undefined, GaussianModel, MixtureModel, UniformModel, SupportVectorModel, RelevanceVectorModel");
const StatisticalModelUndefined StatisticalModel::NO_STAT_MODEL;

// static instantiations: memory manager, debug_level, scratch space, etc.
//
MemoryManager StatisticalModel::mgr_d(sizeof(StatisticalModel),
				      StatisticalModel::CLASS_NAME);
