// file: $isip/class/stat/UniformModel/uni_05.cc
// version: $Id: uni_05.cc 6073 2000-12-23 00:31:01Z picone $
//

// system include files
//
#include <typeinfo>

// isip include files
//
#include "UniformModel.h"

// method: assign
//
// arguments:
//  const StatisticalModelBase& arg: (input) object to assign
//
// return: a bool8 value
//
// this method assigns input argument to current argument
//
bool8 UniformModel::assign(const StatisticalModelBase& arg_a) {

  // make sure we have the right type of data
  //
  if (typeid(arg_a) == typeid(UniformModel)) {
    return assign((UniformModel&)arg_a);
  }
  else {
    return Error::handle(name(), L"assign", Error::ARG, __FILE__, __LINE__);
  }
}
