#ifndef _DM_LIB_DM_CONF_H_
#define _DM_LIB_DM_CONF_H_

#include "pconf.h"

extern char* dir;
extern char* script_file;
extern char* config_file;
extern char* mode;
extern int MaxParses;
extern int MaxPrompt;
extern int SymBufSize;
extern int OutBufSize;

#ifndef COMMAND_LINE_OPTIONS
#define COMMAND_LINE_OPTIONS
config_t dm_conf[] = {
  {"dir",	"dir containing task and nets files",
     "-dir", 	STRING,	(caddr_t) &dir},
  {"script_file",	"dir containing task and nets files",
     "-script", 	STRING,	(caddr_t) &script_file},
  {"config_file",	"optional parameter settings",
     "-config", 	STRING,	(caddr_t) &config_file},
  {"mode",		"mode parameter passed to app",
     "-mode", 	STRING,	(caddr_t) &mode},
  {"MaxParses", "maximum number of parses to print",
       "-MaxParses",    INT,    (caddr_t) &MaxParses},
  {"MaxPrompt", "maximum times to prompt for slot",
       "-MaxPrompt",    INT,    (caddr_t) &MaxPrompt},
  {"SymBufSize", "Size in bytes of symbol buffer for dictionary", 
     "-SymBufSize",	INT,	(caddr_t) &SymBufSize},
  {"OutBufSize", "Size in bytes of output buffer ", 
     "-OutBufSize",	INT,	(caddr_t) &OutBufSize},
  {NULL, NULL, NULL, NOTYPE, NULL}
  };
#endif //COMMAND_LINE_OPTIONS

#endif //_DM_LIB_DM_CONF_H_
