// file: $ISIP_BASE/app/communicator/servers/dialogue/task_globals.h
// version: $Id: task_globals.h 10019 2005-04-22 15:15:22Z elliott $
//

#ifndef _TASK_GLOBALS_H_
#define _TASK_GLOBALS_H_

// Server state
extern int     server_state_d;
extern char    global_debug_msg[];

/* Global Context Variables */
extern char	*task;		/* current task */
extern char	*action;	/* last action taken */
extern char	*nl_task;	/* speech act that will apply to data */

extern int	no_changes;	/* lock all frame values, don't allow changes */
extern int	session_done;	/* flag to log session done */
extern int	session_done_logged;

extern int	row_in_focus;	/* row in focus in current data */
extern int	db_rows;	/* number of rows in current data */
extern int	row_abs;	/* user specified row number */
extern int	row_rel;	/* user specified relative row */
//extern int	backoff_cnt;	/* number of iterations of backoff tried */
//extern int	backoff_tried;

extern aFrame*  data_current;	/* pointer to frame data generated from */

/* Buffers */
extern char	prompt_text[];
extern char	db_buf[];

//extern struct	parse_item parse_result;
extern void	*main_server_data;

extern struct db_row *one_row;

/* for retry */
extern int	retry;
extern int      campus_depart;
extern int      campus_arrive;
extern char	*save_task;
extern char	*save_sql;
extern aFrame	*save_frame;
extern Prompt   save_prompted;

/* Flags */
extern int	PRINT_SQL;
extern int	dm_verbose;
//extern int	offer_alts;
extern int	wait_for_parse;
//extern int	audio_busy;
//extern int	animate_busy;

//extern char* init_city;

// drive frame
//
extern aFrame *drive_frame;

#define is_debug 0

#endif
