#!/bin/csh -f
#file: $isip/util/demo/isip_comm_server_process_manager/scripts/dialog_navigation.csh
#version: $Id: dialog_navigation.csh 10400 2006-01-27 19:44:55Z stanley $
#

#source $GC_HOME/contrib/MITRE/templates/env.csh

isip_comm_data_recorder -port DATA_RECORDER_PORT > $ISIP_TMPDIR/isip_recorder_log.txt &

isip_comm_signal_detector -port SIGNAL_DETECTOR_PORT -param $ISIP_DEVEL/util/demo/isip_demo_data/speech_analysis/params/detector_param.sof > $ISIP_TMPDIR/isip_detector_log.txt &

isip_comm_speech_recognition -decoder $ISIP_DEVEL/util/demo/isip_demo_data/speech_recognition/params/decoder_params.text -frontend $ISIP_DEVEL/util/demo/isip_demo_data/speech_recognition/params/recipe_mfcc.sof -port SPEECH_RECOGNIZER_PORT > $ISIP_TMPDIR/isip_recognizer_log.txt &

isip_comm_dialog_navigation_mgr -dir $ISIP_DEVEL/util/demo/isip_demo_data/dialog_navigation/dm -port DIALOG_NAVIGATION_MANAGER_PORT > $ISIP_TMPDIR/isip_manager_log.txt &

isip_comm_dialog_nlp -config $ISIP_DEVEL/util/demo/isip_demo_data/dialog_navigation/nlp/compiled__parse_config -dir $ISIP_DEVEL/util/demo/isip_demo_data/dialog_navigation/nlp/ -port DIALOG_NLP_PORT > $ISIP_TMPDIR/isip_nlp_log.txt &




# When running this with a non-standard user\pass, the following things need
# to be manually added
#  -user USERNAME
#  -password PASSWORD
#  -database DATABASE
#  -host IPADDRESS
# such as -user dialog -pass pass123 -database flatroute -host 127.0.0.1
# do not put USERNAME, PASSWORD, etc, expecting them to be replaced by the
# process manager because they won't be.
#


isip_comm_dialog_navigation_db -port DIALOG_NAVIGATION_DATABASE_PORT -unique_num UNIQUE_PLAYER_ID > $ISIP_TMPDIR/isip_database_log.txt &

#isip_comm_dialog_navigation_db -port DIALOG_NAVIGATION_DATABASE_PORT -host 130.18.14.185 -unique_num UNIQUE_PLAYER_ID > $ISIP_TMPDIR/isip_database_log.txt &

sleep 1;

#$GC_HOME/bin/hub -pgm_file START_SERVERS_PGM -verbosity 3 > $ISIP_TMPDIR/isip_hub_log.txt &

$GC_HOME/bin/hub -pgm_file START_SERVERS_PGM -verbosity 3 > $ISIP_TMPDIR/isip_hub_log.txt &
