#!/bin/sh
#
# The purpose of this file is to have a one-call script to insert all data
# into the dialog navigation mysql database.
#
# Once the tables are created in the mysql database, this program can be
# executed to fill in all the tables.
# 

# Set these to be the respective value of your database
#
HOSTNAME="127.0.0.1";
USERNAME="dialog"
PASSWORD="pass123"
DATABASE="flatroute";

#address
echo " RUNNING ./address starkville_address.text" > log.text
echo " RUNNING ./address starkville_address.text" > /dev/stderr
./makedb_address/isip_dialog_makedb_address.exe $ISIP_DEVEL/util/demo/isip_demo_data/dialog_navigation/db/starkville_address.text  $USERNAME $PASSWORD $HOSTNAME $DATABASE >> log.text

echo " RUNNING ./address campus_address.text" >> log.text
echo " RUNNING ./address campus_address.text" >> /dev/stderr
./makedb_address/isip_dialog_makedb_address.exe $ISIP_DEVEL/util/demo/isip_demo_data/dialog_navigation/db/campus_address.text $USERNAME $PASSWORD $HOSTNAME $DATABASE >> log.text

#campus 
echo " RUNNING ./campus campus_ref.text" >> log.text
echo " RUNNING ./campus campus_ref.text" > /dev/stderr
./makedb_campus/isip_dialog_makedb_campus.exe $ISIP_DEVEL/util/demo/isip_demo_data/dialog_navigation/db/campus_ref.text $USERNAME $PASSWORD $HOSTNAME $DATABASE >> log.text

#campus_direction
echo " RUNNING ./campus_direction campus_direction_1.text" >> log.text
echo " RUNNING ./campus_direction campus_direction_1.text" > /dev/stderr
./makedb_campus_direction/isip_dialog_makedb_campus_direction.exe $ISIP_DEVEL/util/demo/isip_demo_data/dialog_navigation/db/campus_direction_1.text $USERNAME $PASSWORD $HOSTNAME $DATABASE >> log.text

echo " RUNNING ./campus_direction campus_direction_2.text" >> log.text
echo " RUNNING ./campus_direction campus_direction_2.text" > /dev/stderr
./makedb_campus_direction/isip_dialog_makedb_campus_direction.exe $ISIP_DEVEL/util/demo/isip_demo_data/dialog_navigation/db/campus_direction_2.text $USERNAME $PASSWORD $HOSTNAME $DATABASE >> log.text
