// file: BugMenu.java
//

// import java libraries
//
import javax.swing.JTable;
import javax.swing.table.AbstractTableModel;
import javax.swing.JScrollPane;
import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.JOptionPane;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.table.*;

// copied and modified from the Sun website
//


/**
 * This is an implementation of TableModel that uses a Vector of Vectors 
 * to store the cell value objects.
 */
class ReadOnlyTable extends DefaultTableModel {

    
    /** 
     * end up getting the data object for Joe's return of the list of bugs.
     * the tree will be recreated for each sort or query
     */
     Vector data = null;
    
    /**
     * default class constructor, calls the super constructor
     * @param d Vector of data that is initialized to the data vector
     */
    public ReadOnlyTable(Vector d) {
	super();
	data = d;
    }

    
    public Class getColumnClass(int c) {
	return getValueAt(0, c).getClass();
    }
	
    /**
     * @return false
     */
    public boolean isCellEditable(int row, int col) {
	//Note that the data/cell address is constant,
	//no matter where the cell appears onscreen.
	return false;
    }
}
