// file: $isip/util/speech/isip_feature_select/isip_feature_select.h
// version: $Id: isip_feature_select.h 9436 2004-03-25 16:57:32Z parihar $
//
// this is the header file for the isip_feature_select utility
//
// make sure the file is included only once
//
#ifndef ISIP_UTIL_FEATURE_SELECT
#define ISIP_UTIL_FEATURE_SELECT

// isip include files
//
#include <CommandLine.h>
#include <FeatureSelect.h>
#include <AudioDatabase.h>

static const String PROG_NAME(L"isip_feature_select");

static const String OPTION_SYMBOL(L"symbol");
static const String OPTION_AUDIO_DB(L"audiodb");
static const String OPTION_DIM(L"dimension");
static const String OPTION_RATIO_CLASS(L"ratio_class");
static const String OPTION_RATIO_SIMILAR(L"ratio_similar");
static const String OPTION_SYMBOL_LIST(L"symbol_list");

static const String OPTION_INPUT_FILE_FORMAT(L"input_format");
static const String OPTION_INPUT_FILE_TYPE(L"input_type");
static const String OPTION_OUTPUT_FILE_FORMAT(L"output_format");
static const String OPTION_OUTPUT_FILE_TYPE(L"output_type");

static const String FILE_TYPE_TEXT(L"text");
static const String FILE_TYPE_BINARY(L"binary");
static const String FILE_FORMAT_SOF(L"sof");
static const String FILE_FORMAT_RAW(L"raw");

static const String DEF_FILE_TYPE = FILE_TYPE_BINARY;
static const String DEF_FILE_FORMAT = FILE_FORMAT_SOF;
static const String DEF_RATIO_CLASS(L"1:1");
static const String DEF_RATIO_SIMILAR(L"1:1");
static const long DEF_DIM = 118;

// end of file
//
#endif
