clc
clear all;
addpath('matlab_toolbox/HMMall','matlab_toolbox/HMMall/HMM','matlab_toolbox/HMMall/KPMstats','matlab_toolbox/HMMall/KPMtools','matlab_toolbox/HMMall/netlab3.3');
load('data.mat');
  Q=1;
  O=2;
  M=2;
  T=1;
  cov_type='diag';
  prior0 = normalise(rand(Q,1));
transmat0 = mk_stochastic(rand(Q,Q)); 

%model 1 initial parametrs
 [mu0_1, Sigma0_1] = mixgauss_init(Q*M, train_data_1, cov_type);
  mu0_1= reshape(mu0_1, [O Q M]);
  Sigma0_1 = reshape(Sigma0_1, [O O Q M]);
%  mu0_1(1,1,1)=.5;
%  mu0_1(2,1,1)=.5;
%  mu0_1(1,1,2)=2.5;
%  mu0_1(2,1,2)=2.5;
%  Sigma0_1(:,:,1,1)=[1 0;0 1];
%   Sigma0_1(:,:,1,2)=[1 0;0 1];
  mixmat0_1= mk_stochastic(rand(Q,M));
  
  writeInit('init.dat',mu0_1,Sigma0_1,1,'w');
  
  
  %model 2 initial parametrs
 [mu0_2, Sigma0_2] = mixgauss_init(Q*M, train_data_2+1, cov_type);
  mu0_2= reshape(mu0_2, [O Q M]);
  Sigma0_2 = reshape(Sigma0_2, [O O Q M]);
  writeInit('init.dat',mu0_2,Sigma0_2,2,'a+');
%    mu0_2(1,1,1)=-2;
%  mu0_2(2,1,1)=2.5;
%  mu0_2(1,1,2)=-4;
%  mu0_2(2,1,2)=.5;
%  Sigma0_2(:,:,1,1)=[1 0;0 1];
%   Sigma0_2(:,:,1,2)=[1 0;0 1];
  
  
  mixmat0_2= mk_stochastic(rand(Q,M));
  
  
  [LL_1, prior1_1, transmat1_1, mu1_1, Sigma1_1, mixmat1_1] = ...
    mhmm_em(train_data_1, prior0, transmat0, mu0_1, Sigma0_1, mixmat0_1, 'max_iter', 10);

  [LL_2, prior1_2, transmat1_2, mu1_2, Sigma1_2, mixmat1_2] = ...
    mhmm_em(train_data_2, prior0, transmat0, mu0_2, Sigma0_2, mixmat0_2, 'max_iter', 10);



for k=1:N_test
  loglik_1(k) = mhmm_logprob(test_data(:,:,k), prior1_1, transmat1_1, mu1_1, Sigma1_1, mixmat1_1);
  loglik_2(k) = mhmm_logprob(test_data(:,:,k), prior1_2, transmat1_2, mu1_2, Sigma1_2, mixmat1_2);
  [temp,ind]=max([loglik_1(k) loglik_2(k)]);
  decoded_class(k)=ind;
  
  end;
  
  errorNO=length(find((decoded_class-test_class)~=0));
  errorNO/N_test