// file: Number.java
//

// import java libraries
//
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;

/**
 * Wrapper for integer
 */
public class Number {

    // ---------------------------------------------------
    //
    // declare class member data
    //
    // ---------------------------------------------------

    // Number value of the object
    //
    private int value = 0;

    // ---------------------------------------------------
    //
    // declare class constructors
    //
    // ---------------------------------------------------

    /**
     * default class constructor, sets value to 0
     */
    public Number() {

	// set the default value of the object
	//
	this.value = 0;
    }

    /**
     * constructor that initializes object to value passed
     *
     * @param value value of the object
     */
    public Number(int value) {
	
	// set the value of the object
	//
	this.value = value;
    }

    // ---------------------------------------------------
    //
    // declare class methods
    //
    // ---------------------------------------------------

    /**
     * returns the value contained in the object
     *
     * @return  value of the object
     */
    public int getValue() {
	
	// return the value of the object
	//
	return value;
    }

    /**
     * sets the value contained in the object
     *
     * @param value value for the object
     */
    public void setValue(int value) {
	
	// return the value of the object
	//
	this.value = value;
    }
}

// 
// end of file
