// file: filter/filt_cstr_2.cc
//

// isip include files
//
#include "filter.h"
#include "filter_constants.h"

// method: create filter constructor
//
// arguments:
//  int_4 data_a: (input) data for the filter to create
//  int_4 width_a: (input) length of filter to create
//
// return: none
//
Filter::Filter(float_8* data_a, int_4 width_a) {

  // preset class data
  //
  data_d = (float_8*)NULL;
  debug_level_d = ISIP_DEBUG_NONE;

  // change parameters and create the filter
  //
  set_cc(data_a, width_a);
  
  // return
  //
}
