// file: hash_table_constants.h
//
// this is the constants header file for the Hash_table class
//

// make sure definitions are made only once
//
#ifndef __HASH_TABLE_CONSTANTS
#define __HASH_TABLE_CONSTANTS

// isip include files
//
#ifndef  __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

// define the class name
//
#define HASH_TABLE_CLASS_NAME (char_1*)"Hash_table"

// define the range of sizes
//
#define HASH_TABLE_2EXP10 (int_4)1024
#define HASH_TABLE_2EXP11 (int_4)2048
#define HASH_TABLE_2EXP12 (int_4)4096
#define HASH_TABLE_2EXP13 (int_4)8192
#define HASH_TABLE_2EXP14 (int_4)16384
#define HASH_TABLE_2EXP15 (int_4)32768
#define HASH_TABLE_2EXP16 (int_4)65536

// define the default size
//
#define HASH_TABLE_SIZE HASH_TABLE_2EXP13

// define the hash table modes
//
#define HASH_TABLE_STRING_DRIVEN (char_1)'S'
#define HASH_TABLE_LONG_DRIVEN (char_1)'L'
#define HASH_TABLE_DEF_MODE HASH_TABLE_STRING_DRIVEN

// end of file
//
#endif


