// file: instance_constants.h
//

// make sure definitions are only made once
//
#ifndef __INSTANCE_CONSTANTS
#define __INSTANCE_CONSTANTS

// isip include files
//
#ifndef __INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_HASH_CELL_CONSTANTS
#include <hash_cell_constants.h>
#endif

#ifndef __ISIP_LEX_NODE_CONSTANTS
#include <lex_node_constants.h>
#endif

#ifndef __ISIP_TOKEN_CONSTANTS
#include <token_constants.h>
#endif

#ifndef __ISIP_TRACE_CONSTANTS
#include <trace_constants.h>
#endif

// define the class name
//
#define INSTANCE_CLASS_NAME (char_1*)"Instance"

// define constants for the default levels and indices
//
#define INSTANCE_DEFAULT_INDEX (int_4)-1
#define INSTANCE_DEFAULT_SCORE (float_4)-1.0e10
#define INSTANCE_ACTIVE_SCORE (float_4)-0.5e10
#define INSTANCE_DEFAULT_FLAG ISIP_FALSE

// end of file
// 
#endif
