// file: latn_set_0.cc
//

// isip include files
//
#include "lattice_node.h"
#include "lattice_node_constants.h"

// method: set_type_cc
//
// arguments:
//  int_4 type_a: (input) the type of node (word/model/state ....)
//
// return: a logical_1 indicating status
//
// this method sets the type of the node
//
logical_1 Lattice_node::set_type_cc(int_4 type_a) {

  // set the node type
  //
  type_d = type_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
