// file: ll_set_1.cc
//

// isip include files
//
#include "link_list.h"
#include "link_list_constants.h"

// method: set_curr_cc
//
// arguments:
//  Link_node* node : (input) a link node to set in curr position
//
// return: a logical_1 to indicate success
//
// this method sets the specified node at the current position of the
// linked list
//
logical_1 Link_list::set_curr_cc(Link_node* node_a) {

  // exit ungracefully if the node is null
  //
  if (node_a == (Link_node*)NULL) {
    return ISIP_FALSE;
  }

  // set this node at current position
  //
  curr_d = node_a;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
