// file: mm_delete_3.cc
//
 
// isip include files
//
#include "memory_manager.h"
#include "memory_manager_constants.h"

#include <lattice_node.h>

// method: delete_cc
//
// arguments:
//  Lattice_node* ltn : (input) the node to be put back in the list
//
// return: a logical_1 indicating success
//
// this method takes the input lattice node and puts it in the free
// lattice nodes list
//
logical_1 Memory_manager::delete_cc(Lattice_node* ltn_a) {

  // get a link node to hold this lattice node
  //
  Link_node* node = new_node_cc();
  
  // put the lattice node in this
  //
  node->set_item_cc((void_p)ltn_a);
  
  // insert the incoming node in the node list
  //
  node->insert_cc(lat_list_d);
  lat_list_d = node;
  
  // increment free lattice node count
  //
  lat_count_d++;

  // exit gracefully
  //
  return ISIP_TRUE;
}
