// file: tr_hc_cstr_0.cc
//

// isip include files
//
#include "train_hash_cell.h"
#include "train_hash_cell_constants.h"
 
// method: destructor
//
// arguments: none
//
// return: none
//
// this is the destructor for the class
//
Train_Hash_cell::~Train_Hash_cell() {

  // delete key string pointer
  //
  if (key_str_d != (char_1*)NULL) {
    delete [] key_str_d;
    key_str_d = (char_1*)NULL;
  }

  // delete the key vector pointer
  //
  if (key_vec_d != (int_4*)NULL) {
    delete [] key_vec_d;
    key_vec_d = (int_4*)NULL;
  }
  key_size_d = 0;

  // set the item to null
  //
  item_d = (void_p)NULL;
  
  // set the link pointer to null
  //
  next_d = (Train_Hash_cell*)NULL;

  // debug level
  //
  debug_level_d = ISIP_DEBUG_NONE;
  
  // exit gracefully
  //
}

