// file: tr_latn_set_6.cc
//

// isip include files
//
#include "train_lattice_node.h"
#include "train_lattice_node_constants.h"

// method: set_node_index_cc
//
// arguments:
//  int_4 node_index_a: (input) node index
//
// return: a logical_1 indicating status
//
// this method sets the node index
//
logical_1 Train_Lattice_node::set_node_index_cc(int_4 node_index_a) {

  // set the node index of the node
  //
  node_index_d = node_index_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
