// file: train_lex_tree_constants.h
//
// this is the header file for the lexical tree class constants
//

// make sure definitions are only made once
//
#ifndef __ISIP_TRAIN_LEX_TREE_CONSTANTS
#define __ISIP_TRAIN_LEX_TREE_CONSTANTS

// isip include files
//
#ifndef __ISIP_INTEGRAL_CONSTANTS
#include <integral_constants.h>
#endif

#ifndef __ISIP_TRAIN_TRACE_CONSTANTS
#include <train_trace_constants.h>
#endif

#ifndef __ISIP_TRAIN_LEX_NODE_CONSTANTS
#include <train_lex_node_constants.h>
#endif

#ifndef __ISIP_TRAIN_LATTICE_NODE_CONSTANTS
#include <train_lattice_node_constants.h>
#endif

#ifndef __ISIP_TRAIN_WORD_CONSTANTS
#include <train_word_constants.h>
#endif

#ifndef __ISIP_TRAIN_HASH_TABLE_CONSTANTS
#include <train_hash_table_constants.h>
#endif

// define the class name
//
#define TRAIN_LXT_CLASS_NAME (char_1*)"Train_Lex_tree"

// define some important words
//
#define TRAIN_LXT_SENTENCE_START (int_4)1
#define TRAIN_LXT_SENTENCE_END (int_4)0
#define TRAIN_LXT_SP TRAIN_LXN_SP_PHONE
#define TRAIN_LXT_SILENCE (int_4)1

// end of file
// 
#endif

