// file: tr_mm_cstr_2.cc
//

// isip include files
//
#include "train_memory_manager.h"
#include "train_memory_manager_constants.h"

// method: constructor
//
// arguments:
//  int_4 grow_size : (input) the grow size for all other items
//  int_4 node_grow_size : (input) the grow size for link list nodes
//
// return: none
//
// this is an overloaded constructor
//
Train_Memory_manager::Train_Memory_manager(int_4 grow_size_a, int_4 node_grow_size_a) {

  // set the counts
  //
  node_count_d = (int_4)0;
  trace_count_d = (int_4)0;
  lex_count_d = (int_4)0;
  lat_count_d = (int_4)0;
  hash_count_d = (int_4)0;

  // reset the block sizes
  //
  node_grow_size_d = node_grow_size_a;
  trace_grow_size_d = grow_size_a;
  lex_grow_size_d = grow_size_a;
  lat_grow_size_d = grow_size_a;
  hash_grow_size_d = grow_size_a;
  
  // initialize the lists
  //
  trace_list_d = (Train_Link_node*)NULL;
  node_list_d = (Train_Link_node*)NULL;
  lex_list_d = (Train_Link_node*)NULL;
  lat_list_d = (Train_Link_node*)NULL;
  hash_list_d = (Train_Link_node*)NULL;

  // exit gracefully
  //
}
