// file: tr_tr_frame_2.cc
//

// isip include files
//
#include "train_trace.h"
#include "train_trace_constants.h"

// method: incr_frame_ind_cc
//
// arguments:
//  int_4 incr: (input) the step value to increment
//
// return: a logical_1 indicating status
//
// this method increments the frame index count
//
logical_1 Train_Trace::incr_frame_ind_cc(int_4 incr_a) {

  // increment the frame index
  //
  frame_index_d += incr_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
