// file: trace_projector.h
//
// definitions file for the trace projection utility that uses the decoder
// and its associated classes
//

// make sure definitions are made only once
//
#ifndef __ISIP_TRACE_PROJECTION
#define __ISIP_TRACE_PROJECTION

// isip include files
//
#ifndef __ISIP_INTEGRAL
#include <integral.h>
#endif

// forward declaration of classes
//
#ifndef __ISIP_TRACE_PROJECTOR
#include <trace_projector.h>
#endif

#ifndef __ISIP_TRACE_PROJECTOR_CONSTANTS
#include <trace_projector_constants.h>
#endif

// functions to decipher commandline
//
logical_1 read_cmdline_cc(int_4 argc, char_1** argv, char_1*& prm_file,
			  logical_1& demo);

// end of file
//
#endif
